Package weka.filters.unsupervised.attribute

# Class Wavelet

java.lang.Object
weka.filters.Filter
weka.filters.SimpleFilter
weka.filters.SimpleBatchFilter
weka.filters.unsupervised.attribute.Wavelet

All Implemented Interfaces:
  `Serializable`, `CapabilitiesHandler`, `OptionHandler`, `RevisionHandler`, `TechnicalInformationHandler`

public class Wavelet extends SimpleBatchFilter implements TechnicalInformationHandler
A filter for wavelet transformation.
For more information see:
Wikipedia (2004). Discrete wavelet transform.
Kristian Sandberg (2000). The Haar wavelet transform. University of Colorado at Boulder, USA.

BibTeX:

     @misc{Wikipedia2004,
        author = {Wikipedia},
        title = {Discrete wavelet transform},
        year = {2004},
        HTTP = {http://en.wikipedia.org/wiki/Discrete_wavelet_transform}
     }

     @misc{Sandberg2000,
        address = {University of Colorado at Boulder, USA},
        author = {Kristian Sandberg},
        institution = {Dept. of Applied Mathematics},
        title = {The Haar wavelet transform},
        year = {2000},
        HTTP = {http://amath.colorado.edu/courses/5720/2000Spr/Labs/Haar/haar.html}
     }

Valid options are:

     -D
      Turns on output of debugging information.

     -A <Haar>
      The algorithm to use.
      (default: HAAR)

     -P <Zero>
      The padding to use.
      (default: ZERO)

     -F <filter specification>
      The filter to use as preprocessing step (classname and options).
      (default: MultiFilter with ReplaceMissingValues and Normalize)

     Options specific to filter weka.filters.MultiFilter ('-F'):

     -D
      Turns on output of debugging information.

     -F <classname [options]>
      A filter to apply (can be specified multiple times).

Version:
  $Revision: 5547 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALGORITHM_HAAR`
the type of algorithm: Haar wavelet
`static final int`
`PADDING_ZERO`
the type of padding: Zero padding
`static final Tag[]`
`TAGS_ALGORITHM`
the types of algorithm
`static final Tag[]`
`TAGS_PADDING`
the types of padding

## Constructor Summary

Constructors
Constructor
Description
`Wavelet()`
default constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`algorithmTipText()`
Returns the tip text for this property
`String`
`filterTipText()`
Returns the tip text for this property
`SelectedTag`
`getAlgorithm()`
Gets the type of algorithm to use
`Capabilities`
`getCapabilities()`
Returns the Capabilities of this filter.
`Filter`
`getFilter()`
Get the preprocessing filter.
`String[]`
`getOptions()`
returns the options of the current setup
`SelectedTag`
`getPadding()`
Gets the type of Padding to use
`String`
`getRevision()`
Returns the revision string.
`TechnicalInformation`
`getTechnicalInformation()`
Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
`String`
`globalInfo()`
Returns a string describing this classifier.
`Enumeration`
`listOptions()`
Gets an enumeration describing the available options.
`static void`
`main(String[] args)`
runs the filter with the given arguments
`String`
`paddingTipText()`
Returns the tip text for this property
`void`
`setAlgorithm(SelectedTag value)`
Sets the type of algorithm to use
`void`
`setFilter(Filter value)`
Set the preprocessing filter (only used for setup).
`void`
`setOptions(String[] options)`
Parses the options for this object.
`void`
`setPadding(SelectedTag value)`
Sets the type of Padding to use

### Methods inherited from class weka.filters.SimpleBatchFilter

`batchFinished, input`

### Methods inherited from class weka.filters.SimpleFilter

`debugTipText, getDebug, setDebug, setInputFormat`

### Methods inherited from class weka.filters.Filter

`batchFilterFile, filterFile, getCapabilities, getOutputFormat, isFirstBatchDone, isNewBatch, isOutputFormatDefined, makeCopies, makeCopy, numPendingOutput, output, outputPeek, toString, useFilter, wekaStaticWrapper`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ALGORITHM_HAAR

public static final int ALGORITHM_HAAR
the type of algorithm: Haar wavelet

See Also:
  - Constant Field Values

### TAGS_ALGORITHM

public static final Tag[] TAGS_ALGORITHM
the types of algorithm

### PADDING_ZERO

public static final int PADDING_ZERO
the type of padding: Zero padding

See Also:
  - Constant Field Values

### TAGS_PADDING

public static final Tag[] TAGS_PADDING
the types of padding

## Constructor Details

### Wavelet

public Wavelet()
default constructor

## Method Details

### globalInfo

public String globalInfo()
Returns a string describing this classifier.

Specified by:
  `globalInfo` in class `SimpleFilter`
Returns:
  a description of the classifier suitable for displaying in the explorer/experimenter gui

### getTechnicalInformation

public TechnicalInformation getTechnicalInformation()
Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.

Specified by:
  `getTechnicalInformation` in interface `TechnicalInformationHandler`
Returns:
  the technical information about this class

### listOptions

public Enumeration listOptions()
Gets an enumeration describing the available options.

Specified by:
  `listOptions` in interface `OptionHandler`
Overrides:
  `listOptions` in class `SimpleFilter`
Returns:
  an enumeration of all the available options.

### getOptions

public String[] getOptions()
returns the options of the current setup

Specified by:
  `getOptions` in interface `OptionHandler`
Overrides:
  `getOptions` in class `SimpleFilter`
Returns:
  the current options

### setOptions

public void setOptions(String[] options) throws Exception
Parses the options for this object.

Valid options are:

     -D
      Turns on output of debugging information.

     -A <Haar>
      The algorithm to use.
      (default: HAAR)

     -P <Zero>
      The padding to use.
      (default: ZERO)

     -F <filter specification>
      The filter to use as preprocessing step (classname and options).
      (default: MultiFilter with ReplaceMissingValues and Normalize)

     Options specific to filter weka.filters.MultiFilter ('-F'):

     -D
      Turns on output of debugging information.

     -F <classname [options]>
      A filter to apply (can be specified multiple times).

Specified by:
  `setOptions` in interface `OptionHandler`
Overrides:
  `setOptions` in class `SimpleFilter`
Parameters:
  `options` - the options to use
Throws:
  `Exception` - if the option setting fails
See Also:
  - `SimpleFilter.reset()`

### filterTipText

public String filterTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui

### setFilter

public void setFilter(Filter value)
Set the preprocessing filter (only used for setup).

Parameters:
  `value` - the preprocessing filter.

### getFilter

public Filter getFilter()
Get the preprocessing filter.

Returns:
  the preprocessing filter

### algorithmTipText

public String algorithmTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui

### setAlgorithm

public void setAlgorithm(SelectedTag value)
Sets the type of algorithm to use

Parameters:
  `value` - the algorithm type

### getAlgorithm

public SelectedTag getAlgorithm()
Gets the type of algorithm to use

Returns:
  the current algorithm type.

### paddingTipText

public String paddingTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui

### setPadding

public void setPadding(SelectedTag value)
Sets the type of Padding to use

Parameters:
  `value` - the Padding type

### getPadding

public SelectedTag getPadding()
Gets the type of Padding to use

Returns:
  the current Padding type.

### getCapabilities

public Capabilities getCapabilities()
Returns the Capabilities of this filter.

Specified by:
  `getCapabilities` in interface `CapabilitiesHandler`
Overrides:
  `getCapabilities` in class `Filter`
Returns:
  the capabilities of this object
See Also:
  - `Capabilities`

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `Filter`
Returns:
  the revision

### main

public static void main(String[] args)
runs the filter with the given arguments

Parameters:
  `args` - the commandline arguments